> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gnosis Safe Integration

> Returns Safe integration state, signer identity, connected Safe accounts and a live ERC-20 balance read via RPC.

Required scope: `integrations:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-gnosis-safe-integration
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-gnosis-safe-integration:
    get:
      operationId: getGnosisSafeIntegration
      summary: Get Gnosis Safe Integration
      x-toku-required-scope: integrations:read
      description: >-
        Returns Safe integration state, signer identity, connected Safe accounts
        and a live ERC-20 balance read via RPC.


        Required scope: `integrations:read`
      parameters:
        - name: orgID
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGnosisSafeIntegrationResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetGnosisSafeIntegrationResponse:
      type: object
      properties:
        hasIntegration:
          type: boolean
        hasSignerIdentity:
          type: boolean
        signerIdentity:
          type:
            - object
            - 'null'
          properties:
            signerPublicKey:
              type: string
            keyGeneratedAt:
              type: string
          required:
            - signerPublicKey
            - keyGeneratedAt
        accounts:
          type: array
          items:
            type: object
            properties:
              gnosisSafeAccountID:
                type: string
              safeAddress:
                type: string
              chainId:
                type: integer
              networkName:
                type:
                  - string
                  - 'null'
              verifiedAt:
                type:
                  - string
                  - 'null'
              safeAppUrl:
                type:
                  - string
                  - 'null'
              name:
                type:
                  - string
                  - 'null'
              isDefault:
                type: boolean
              signerIdentityID:
                type:
                  - string
                  - 'null'
            required:
              - gnosisSafeAccountID
              - safeAddress
              - chainId
              - networkName
              - verifiedAt
              - safeAppUrl
              - name
              - isDefault
              - signerIdentityID
        signerPublicKey:
          type:
            - string
            - 'null'
        keyGeneratedAt:
          type:
            - string
            - 'null'
        connectedSafeAddress:
          type:
            - string
            - 'null'
        connectedSafeChain:
          type:
            - string
            - 'null'
        safeConnectionVerifiedAt:
          type:
            - string
            - 'null'
        isConnectionVerified:
          type: boolean
        safeAccounts:
          type: array
          items:
            type: object
            properties:
              chainId:
                type: integer
              safeAddress:
                type: string
              verifiedAt:
                type:
                  - string
                  - 'null'
            required:
              - chainId
              - safeAddress
              - verifiedAt
        contractorWalletTestTxAmount:
          type:
            - string
            - 'null'
          pattern: ^-?\d+(\.\d+)?(e[+-]?\d+)?$
        walletBalance:
          type:
            - object
            - 'null'
          properties:
            amount:
              type: string
              pattern: ^-?\d+(\.\d+)?(e[+-]?\d+)?$
            tokenSymbol:
              type: string
            chainName:
              type: string
            chainId:
              type: integer
            lastUpdated:
              type:
                - string
                - 'null'
            safeUrl:
              type: string
          required:
            - amount
            - tokenSymbol
            - chainName
            - chainId
            - lastUpdated
            - safeUrl
      required:
        - hasIntegration
        - hasSignerIdentity
        - signerIdentity
        - accounts
        - signerPublicKey
        - keyGeneratedAt
        - connectedSafeAddress
        - connectedSafeChain
        - safeConnectionVerifiedAt
        - isConnectionVerified
        - safeAccounts
        - contractorWalletTestTxAmount
        - walletBalance
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
